#
# spec file for package xcb-util-wm
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xcb-util-wm
Version:        0.4.2
Release:        1.6
Summary:        XCB utility module for client- and WM-side ICCCM helpers
License:        MIT
Group:          Development/Libraries/C and C++
URL:            http://xcb.freedesktop.org/

#Git-Clone:	git://anongit.freedesktop.org/xcb/util-wm
#Git-Web:	http://cgit.freedesktop.org/xcb/util-wm/
Source:         http://xorg.freedesktop.org/releases/individual/xcb/%{name}-%{version}.tar.xz
Source99:       baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:	autoconf >= 2.62, automake, libtool
BuildRequires:  m4
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(xcb) >= 1.4
BuildRequires:  pkgconfig(xorg-macros) >= 1.6.0

%description
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

Included in this package is:

- icccm: Both client and window-manager helpers for ICCCM.

%package -n libxcb-ewmh2
Summary:        XCB utility module for client- and WM-side ICCCM helpers
Group:          System/Libraries

%description -n libxcb-ewmh2
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

Included in this package is:

- icccm: Both client and window-manager helpers for ICCCM.

%package -n libxcb-icccm4
Summary:        XCB utility module for client- and WM-side ICCCM helpers
Group:          System/Libraries

%description -n libxcb-icccm4
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

Included in this package is:

- icccm: Both client and window-manager helpers for ICCCM.

%package devel
Summary:        Development files for the XCB EWMH/ICCCM utility modules
Group:          Development/Libraries/C and C++
Requires:       libxcb-ewmh2 = %version
Requires:       libxcb-icccm4 = %version

%description devel
The XCB util modules provide a number of libraries which sit on top
of libxcb, the core X protocol library, and some of the extension
libraries.

This package contains the development headers for the library found
in libxcb-ewmh2, libxcb-icccm4.

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
rm -f "%buildroot/%_libdir"/*.la

%post   -n libxcb-ewmh2 -p /sbin/ldconfig
%postun -n libxcb-ewmh2 -p /sbin/ldconfig
%post   -n libxcb-icccm4 -p /sbin/ldconfig
%postun -n libxcb-icccm4 -p /sbin/ldconfig

%files -n libxcb-ewmh2
%defattr(-,root,root)
%_libdir/libxcb-ewmh.so.2*

%files -n libxcb-icccm4
%defattr(-,root,root)
%_libdir/libxcb-icccm.so.4*

%files devel
%defattr(-,root,root)
%_includedir/xcb
%_libdir/libxcb-ewmh.so
%_libdir/libxcb-icccm.so
%_libdir/pkgconfig/xcb-ewmh.pc
%_libdir/pkgconfig/xcb-icccm.pc

%changelog
* Wed Oct 19 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to version 0.4.2
  * Update configure.ac bug URL for gitlab migration
  * Update README for gitlab migration
  * Update m4 to xorg/util/xcb-util-m4@c617eee22ae5c285e79e81
  * gitlab CI: add a basic build test
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1
  * Update .gitmodules for gitlab submodule
  * autogen.sh: use quoted string variables
  * autogen: add default patch prefix
  * autogen.sh: use exec instead of waiting for configure to finish
* Tue Feb 21 2017 dimstar@opensuse.org
- List baselibs.conf as source.
* Thu Feb  9 2017 dimstar@opensuse.org
- Explicitly BuildRequire m4
* Fri Feb 21 2014 zaitor@opensuse.org
- Update to version 0.4.1:
  + Xcb-proto should have never been required as xcb provides the
    Atoms.
  + Do not distribute ewmh C source file as they are generated with
    M4.
  + config: replace deprecated use of AC_OUTPUT with
    AC_CONFIG_FILES.
  + config: use AC_CONFIG_HEADERS to create a config.h file.
  + make: implement the silent rules for m4 generated files.
  + make: compile the library with standard xorg warning flags.
  + Bump required xorg-macros version to >= 1.16.0.
- Drop pkgconfig(xcb-proto) BuildRequires: No longer needed.
* Thu Jan 30 2014 sndirsch@suse.com
- update to version 0.4.0; changes since 0.3.9:
  + Even though EWMH spec does not mandate window to be set, some
    WM expect it to be set.
  + Check submodules before running autoconf.
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
* Mon Jun 18 2012 vuntz@opensuse.org
- Update baselibs.conf after soname bump that lead to libxcb-ewmh1
  being now libxcb-ewmh2.
* Thu May 31 2012 sndirsch@suse.com
- update to version 0.3.9
  * Replacing c++ class keyword in interface header.
  * Fix incomplete implementation of _NET_SUPPORTING_WM_CHECK.
* Wed Mar 21 2012 jengelh@medozas.de
- Initial package build.opensuse.org
